#Region "Header"
Imports System
Imports System.Diagnostics
Imports Microsoft.VisualBasic
Imports AmosEngineLib
Imports Amos
Imports AmosEngineLib.AmosEngine.TMatrixID
#End Region
Module MainModule
	Public Sub Main()
		Dim Sem as AmosEngine
		Sem = new AmosEngine
		Sem.TextOutput
		AnalysisProperties(Sem)
		ModelSpecification(Sem)
		Sem.FitAllModels()
		Sem.Dispose()
	End Sub
	
	Sub ModelSpecification(Sem as AmosEngine)
		Sem.GenerateDefaultCovariances(False)
	
		Sem.BeginGroup("D:\BUKU AMOS 24 ke 26 revisi BANYAK\CD KERJA AMOS 26\MEMBUAT TEKS PROGRAM\MODEL LOYALTY 2 variabel.xls", "COVARIANCE")
			Sem.GroupName("Group number 1")
			Sem.AStructure("citra = trust + (1) e1")
			Sem.AStructure("care = trust + (1) e2")
			Sem.AStructure("jujur = (1) trust + (1) e3")
			Sem.AStructure("letak = (1) satisfaction + (1) e7")
			Sem.AStructure("lengkap = satisfaction + (1) e6")
			Sem.AStructure("harga = satisfaction + (1) e5")
			Sem.AStructure("layanan = satisfaction + (1) e4")
	
			Sem.AStructure("trust <--> satisfaction")
	
		Sem.Model("Default model", "")
	End Sub
	
	Sub AnalysisProperties(Sem as AmosEngine)
		Sem.Iterations(50)
		Sem.InputUnbiasedMoments
		Sem.FitMLMoments
		Sem.Standardized
		Sem.Smc
		Sem.Seed(1)
	End Sub
End Module
